package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFIF7Response {

    @Parameter(name = "AddressCity")
    String addressCity();

    @Parameter(name = "AddressCountry")
    String addressCountry();

    @Parameter(name = "AddressHouseNumber")
    String addressHouseNumber();

    @Parameter(name = "AddressLandRegistryNumber")
    String addressLandRegistryNumber();

    @Parameter(name = "AddressPurposeCode")
    String addressPurposeCode();

    @Parameter(name = "AddressStreet")
    String addressStreet();

    @Parameter(name = "AddressZipCode")
    String addressZipCode();

    @Parameter(name = "BirthDate")
    java.util.Date birthDate();

    @Parameter(name = "BirthNumber")
    String birthNumber();

    @Parameter(name = "ClientType")
    String clientType();

    @Parameter(name = "CompanyIdentificationNumber")
    String companyIdentificationNumber();

    @Parameter(name = "CompanyName")
    String companyName();

    @Parameter(name = "Country")
    String country();

    @Parameter(name = "Name")
    String name();

    @Parameter(name = "Surname")
    String surname();

}